Bug 1565611 - freecad-0.17 is available
Summary: freecad-0.17 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freecad
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 12:16 UTC by Upstream Release Monitoring
Modified: 2019-01-09 12:54 UTC (History)
8 users (show)

Fixed In Version: freecad-0.17-2.fc28 freecad-0.17-2.fc29
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-15 02:28:22 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github tpaviot smesh issues 46 0 None None None Never
Github tpaviot smesh issues 55 0 None None None Never

Description Upstream Release Monitoring 2018-04-10 12:16:12 UTC
Latest upstream release: 0.18_pre
Current version/release in rawhide: 0.17-0.1.pre.fc29
URL: http://freecadweb.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/836/

Comment 1 Richard Shaw 2018-05-14 20:31:27 UTC
Still having build issues with smesh.

Comment 2 Przemo Firszt 2018-05-27 08:43:23 UTC
Do you try to build with external smesh or with the default settings? I have some test builds for fedora 26,27 & 28 and they seem to be OK. See here: https://copr.fedorainfracloud.org/coprs/g/freecad/przemof-test-from-github/build/759106/

Comment 3 Michael Hill 2018-05-27 12:56:46 UTC
On Rawhide I seem to be past the smesh build issue (built-in smesh), now with gcc 8.1.1 as Przemo pointed out.

Comment 4 Richard Shaw 2018-06-02 19:32:32 UTC
I need to get Rawhide building first... I stopped getting responses from the guys on the pull request on the freecad github site. I can't use the bundled smesh without FPC exception which I would really rather not do, but may have to.

With flatpacks being available I wonder if it would be best to get them to support installation that way and just retire the Fedora package.

Comment 5 Przemo Firszt 2018-06-03 10:17:56 UTC
Can you point me to those pull requests? Also, where I can find the flatpack?
My rawhide builds are having problems with finding boost_python

Comment 6 Richard Shaw 2018-06-03 12:37:59 UTC
https://github.com/FreeCAD/FreeCAD/pull/1407

Not aware of an official flatpak but just thought it would be a good idea to simply distribution of FreeCAD.

As far as boost, I found on another package that both python2 and python3 modules are now built and not installed by default with boost-devel so you have to add a build requires for "boost-python2-devel" or "boost-python3-devel" as appropriate.

Comment 7 noraef 2018-08-31 12:29:18 UTC
Hi!

Any progress on this one? FreeCAD 0.17 is a pretty important milestone, and it'd be great to see it officially supported in Fedora.

Comment 8 Richard Shaw 2018-08-31 12:53:33 UTC
Not really, still in dependency hell with smesh/OCE. I've already sent an email to the devel list that if someone wants the package they can have it. I just don't have the time or skills to fix what's wrong.

Comment 9 noraef 2018-08-31 13:14:36 UTC
Ah, OK. Thanks, Richard.

Comment 11 Fedora Update System 2018-11-05 13:49:57 UTC
freecad-0.17-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-db609579cf

Comment 12 Fedora Update System 2018-11-05 13:50:10 UTC
freecad-0.17-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-002b3d061f

Comment 13 Fedora Update System 2018-11-06 22:01:02 UTC
freecad-0.17-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-db609579cf

Comment 14 Fedora Update System 2018-11-06 23:27:53 UTC
freecad-0.17-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-002b3d061f

Comment 15 Fedora Update System 2018-11-15 02:28:22 UTC
freecad-0.17-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-11-15 03:13:56 UTC
freecad-0.17-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.